const inquirer = require('inquirer')
const _ = require('lodash')

const additionalDependenciesQuestion = {
  type: 'input',
  name: 'dependencies',
  message: 'Additional dependencies: '
}

const additionalDevDependenciesQuestion = {
  type: 'input',
  name: 'devDependencies',
  message: 'Additional development dependencies: '
}

const questions = [
  additionalDependenciesQuestion,
  additionalDevDependenciesQuestion
]

module.exports = () => new Promise((resolve, reject) => {
  inquirer.prompt(questions).then(({dependencies, devDependencies}) => {
    if (_.isUndefined(dependencies) || _.isUndefined(devDependencies)) {
      reject(new Error("Can't quite figure out the answer"))
    } else {
      resolve({
        dependenciesList: _.replace(_.toString(dependencies), /[,]/g, ' '),
        devDependenciesList: _.replace(_.toString(devDependencies), /[,]/g, ' ')
      })
    }
  })
})
