const eslint = require('./eslint')
const babel = require('./babel')
const mocha = require('./mocha')
const dependenciesSetUp = require('./depenedencies')
const webpack = require('./webpack')
const gulp = require('./gulp')
const additionalDependencies = require('./additionalDependencies')

module.exports = () => new Promise((resolve) => {
  let dependencies = ''
  let devDependencies = ''
  eslint().then((eslintDependencies) => {
    if (eslintDependencies !== undefined) {
      devDependencies = eslintDependencies
    }
    babel().then((babelDependencies) => {
      if (babelDependencies !== undefined) {
        devDependencies = devDependencies + ' ' + babelDependencies
      }
      mocha().then((mochaDependencies) => {
        if (mochaDependencies !== undefined) {
          devDependencies = devDependencies + ' ' + mochaDependencies
        }
        webpack().then((webpackList) => {
          if (webpackList !== undefined) {
            devDependencies = devDependencies + ' ' + webpackList
          }
          gulp().then((gulpList) => {
            if (gulpList !== undefined) {
              devDependencies = devDependencies + ' ' + gulpList
            }
            dependenciesSetUp().then((dependenciesList) => {
              if (dependenciesList !== undefined) {
                dependencies = dependenciesList
              }
              additionalDependencies().then(({dependenciesList, devDependenciesList}) => {
                if (dependenciesList !== undefined) {
                  dependencies = dependencies + ' ' + dependenciesList
                }
                if (devDependenciesList !== undefined) {
                  devDependencies = devDependencies + ' ' + devDependenciesList
                }
                resolve({
                  dependencies,
                  devDependencies
                })
              })
            })
          })
        })
      })
    })
  })
})
