const packageJson = require('./package-json')
const createReadmeFile = require('./readme-file')
const createGitignoreFile = require('./gitignore-file')
const createLicenseFile = require('./license-file')

module.exports = () => new Promise((resolve) => {
  packageJson().then((data) => {
    createReadmeFile(data.name, data.description).then(() => {
      createGitignoreFile().then(() => {
        createLicenseFile(data.license, data.author).then(() => {
          resolve()
        })
      })
    })
  })
})
