/**
 * This file is responsible for asking and creating a README.md file
 */
const inquirer = require('inquirer')
const fs = require('fs-extra')
const _ = require('lodash')

const question = {
  type: 'confirm',
  name: 'readme',
  message: 'Create a README.md file ?',
  default: false
}

module.exports = (name, description = '') => new Promise((resolve, reject) => {
  if (name === undefined) {
    reject(new Error('Could not get the package name'))
  } else {
    inquirer.prompt(question).then(({readme}) => {
      if (readme === true) {
        const template = `# ${_.capitalize(name)}\n${description}`
        fs.outputFileSync(`${process.cwd()}/README.md`, template)
        resolve()
      } else {
        resolve()
      }
    })
  }
})
