/**
 * This File Is handling the starting or welcoming text when the user types the "init" command
 * The output should have the package's name, version and github link
 * This file is also responsible for clearing the terminal at the start
 */

const colors = require('colors')
const figlet = require('figlet')
const clear = require('clear')
const _ = require('lodash')
const pkg = require('../package')

module.exports = () => {
  const name = colors.magenta(
    figlet.textSync(
      _.capitalize(pkg.name)
    )
  )

  const version = colors.cyan(
    `Current version installed: ${colors.green(pkg.version)}`
  )

  const github = `\n${colors.bgCyan.black(' Github: ')} ${pkg.repository.url.replace('git+', '').replace('.git', '')}`

  const npm = `\n${colors.bgRed.black(' Npm: ')} https://npmjs.com/package/initior`

  const website = `\n${colors.bgMagenta.black(' Site: ')} http://initior.ga\n`

  clear()

  console.log(`\n${name}\n${version}\n${github}\n${npm}\n${website}`)
}
