# Initior
> Initior is a command line application that let's you initialize your new projects the right way. Npm and Yarn's init only creates a package.json file and you will have to edit the package.json file manually if you want more properties in there. Initior will ask you more questions to hopefully prevent that and also will suggest some of the most popular npm packages to install for your project. Got more packages to install? Two more questions will let you input all your extra dependencies and they will be installed. Initior will also set up Eslint, Babel, Webpack, Mocha and Gulp for you, some won't be fully set up but Initior will at least create the initial files and install the plugins you chose. Initior can also write a .gitignore to make your project git ready from the start. Initior can also create a LICENSE.md file by checking the license type in the package.json file and if it matches any of the 11 supported licenses, it will create one for you!


![Screenshot](https://cdn.rawgit.com/ahmedtarek2134/Initior/930dd0f4/screenshot.jpg)

<a target='_blank' rel='nofollow' href='https://app.codesponsor.io/link/gbgsUGmRNjuDpbfVVKCH6cDb/ahmedtarek2134/Initior'>
  <img alt='Sponsor' width='888' height='68' src='https://app.codesponsor.io/embed/gbgsUGmRNjuDpbfVVKCH6cDb/ahmedtarek2134/Initior.svg' />
</a>

# Features
* **Powerful:** Initior is made to be powerful, it is made to let you have the most time actually coding the project and not setting it up and worrying about making everything work making it super efficient to use in your projects.
* **Intuitive:** Initior is simple to use and very user friendly, simply writing a short command in the terminal opens up all of Initior's powerful features in your hands. No learning what so ever is needed to get started too!
* **Fast:** Initior is super fast in execution and the time it takes to actually finish the whole process. The moment you agree on writing a file, it gets written immediately without any issues and let's you move on to the next question.

# Installation
Installing Initior is pretty simple, you only have two ways of installing it and they are both pretty similar.

NPM: ```npm install --global initior```

YARN: ```yarn global add initior```

PNPM: ```pnpm install --global initior```

After running any of these commands, run ```init --version``` to make sure you have Initior installed

# Usage
To get started using Initior, you change your terminal's directory to your project's folder and then run the "init" command. Try to answer all questions and choose the dependencies and voila you're done, if you have ever used yarn or npm's init command, this should be familiar.

Initior is so simple to use, it has only two options to use. The first option is the ```--yarn``` or ```-y``` option which let's you install all the dependencies using yarn. The second option is the ```--pnpm``` or ```-p``` option which let's you install all the dependencies using pnpm!

# License
MIT License

Copyright (c) 2017 Ahmed Tarek

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

